/*****************************************************************************
 * Copyright 2019 Johann 'Myrkraverk' Oskarsson                              *
 * Email: johann@myrkraverk.com                                              *
 * License: WTFPL 2.0                                                        *
 *                                                                           *
 * The simplest SDL2 program ever.  See the README file for build            *
 * instructions.                                                             *
 *****************************************************************************/

/* We include the SDL header file.
 */
#include <SDL.h>

/* The following simply displays a message box on screen.  There's no
 * error checking to make sure the message box was displayed.
 *
 * See: https://wiki.libsdl.org/SDL_ShowSimpleMessageBox
 */
int main( int argc, char *argv[] ) {
  
  /* Display a message on-screen.  The icon is SDL_MESSAGEBOX_INFORMATION,
   * the title is "Hello World", and the message follows.  The final NULL is
   * the parent window, which is none.
   */
  SDL_ShowSimpleMessageBox( SDL_MESSAGEBOX_INFORMATION, 
			    "Hello World",
			    "You have successfully compiled and linked an SDL2"
			    " program, congratulations.", NULL );

  /* Return success to the operating system.
   */
  return 0;
}
